.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_RID:

RID
===

**Category:** Built-In Types

Brief Description
-----------------

Handle for a :ref:`Resource<class_resource>`'s unique ID.

Member Functions
----------------

+------------------------+--------------------------------------------------------------------------+
| :ref:`RID<class_rid>`  | :ref:`RID<class_RID_RID>`  **(** :ref:`Object<class_object>` from  **)** |
+------------------------+--------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_id<class_RID_get_id>`  **(** **)**                             |
+------------------------+--------------------------------------------------------------------------+

Description
-----------

The RID type is used to access the unique integer ID of a resource.  They are opaque, so they do not grant access to the associated resource by themselves. They are used by and with the low-level Server classes such as :ref:`VisualServer<class_visualserver>`.

Member Function Description
---------------------------

.. _class_RID_RID:

- :ref:`RID<class_rid>`  **RID**  **(** :ref:`Object<class_object>` from  **)**

Create a new RID instance with the ID of a given resource. When not handed a valid resource, silently stores the unused ID 0.

.. _class_RID_get_id:

- :ref:`int<class_int>`  **get_id**  **(** **)**

Retrieve the ID of the referenced resource.


